/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.vew.daten.tic;

import de.bsvrz.dav.daf.main.Data;
import de.bsvrz.kex.lmstic3.vew.LMSParameter;

public class TIC3InfoAttribut extends AbstractTIC3InfoAttribut {

	public TIC3InfoAttribut(final String xmlName, final String davName) {
		super(xmlName, davName);
	}

	@Override
	public void setDavDaten(final Data davdata) throws TIC3Exception {
		if (getXmlValue() == null) {
			return;
		}
		if (getDavAttributName() != null) {
			if (davdata.isPlain()) {
				davdata.asTextValue().setText(getXmlValue());
			} else {
				final Data item = davdata.getItem(getDavAttributName());
				if (item != null) {
					davdata.getTextValue(getDavAttributName()).setText(getXmlValue());
				}
			}
		}
	}

	@Override
	public void publizieren(final Data davdata, final LMSParameter parameter) throws TIC3Exception {
		setDavDaten(davdata);
	}

	@Override
	public void setDavDaten(final Data davdata, final String itemname) throws TIC3Exception {
	}
}
